Package it.ernytech.tdlib

## Class TdApi.Messages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Messages

Enclosing class:
  TdApi

    public static class TdApi.Messages
    extends TdApi.Object

Contains a list of messages.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Message[]` `messages` List of messages; messages may be null.
`int` `totalCount` Approximate total count of messages found.

### Constructor Summary

Constructors
`Messages()` Default constructor.
`Messages​(int totalCount, TdApi.Message[] messages)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### totalCount

    public int totalCount

Approximate total count of messages found.

#### messages

    public TdApi.Message[] messages

List of messages; messages may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Messages

    public Messages()

Default constructor.

#### Messages

    public Messages​(int totalCount,
                    TdApi.Message[] messages)

Constructor for initialization of all fields.

Parameters:
  `totalCount` - Approximate total count of messages found.
  `messages` - List of messages; messages may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR